| Home | Libraries | People | FAQ | More

##### ssl::basic_context::add_verify_path (2 of 2 overloads)

Add a directory containing certificate authority files to be used for performing verification.

    boost::system::error_code add_verify_path(
        const std::string & path,
        boost::system::error_code & ec);

This function is used to specify the name of a directory containing certification authority certificates. Each file in the directory must contain a single certificate. The files must be named using the subject name's hash and an extension of ".0".

###### Parameters

path

  The name of a directory containing the certificates.

ec

  Set to indicate what error occurred, if any.